

Hi Frederique,

There is an old paper of Walter Gordy:

A relation between bond force constants, bond orders, bond lengths, and the
electronegativities of the bonded atoms.  J. Chem. Phys. 14:305 (1946)

Wish it is helpful.

Regards,

Shan-Li Wang

--------------------------------------------------------------------------------